BEGIN VVNAMI

IF ~See(Player1)
    !InParty("vvvynona")
    Global("NamiGreeted","LOCALS",0)~
THEN BEGIN briefingStart2
   SAY ~Shhhh! Arghhh!~
   ++ ~Calm down, vampire!~ + briefingNV1
   ++ ~Die, monster!~ + briefing3f
END

IF ~See(Player1)
    InParty("vvvynona")
    Global("NamiGreeted","LOCALS",0)~
THEN BEGIN briefingStart1
   SAY ~Shhhh! Arghhh!~
   ++ ~We are here for you, Nami. Vynona was worried about you.~ + briefing1
   ++ ~Die, monster!~ + briefing3
END

IF ~~ briefingNV1
  SAY ~Ksssst!~
  ++ ~You can join our party, if you wish.~ + briefing2
     ++ ~Die, monster!~ + briefing3f
END

IF ~~ briefing1
  SAY ~(Nami goes close to Vynona. Vynona looks into her eyes for a while.)~
  IF ~~ GOTO briefing2
END

IF ~~ briefing2
  SAY ~(Nami calms down and joins your party.)~
  IF ~~ THEN DO ~		DestroyItem("VVNAMI")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()~ EXIT
END

IF ~~ briefing3f
  SAY ~Garrhhh!~
  IF ~~ THEN DO ~  SetGlobal("NamiLeft","GLOBAL",1) 
Enemy()

Attack(Player1)~ EXIT
END

IF ~~ briefing3
  SAY ~(Both Nami and Vynona are angry about your betrayal and attack you at once.)~
  IF ~~ THEN DO ~ActionOverride("vvvynona",LeaveParty())
  SetGlobal("VynonaLeft","GLOBAL",1) 
ActionOverride("vvvynona",Enemy())
ActionOverride("vvvynona",Attack(Player1))
  SetGlobal("NamiLeft","GLOBAL",1) 
Enemy()
Attack(Player1)~ EXIT
END

//when thrown out
IF ~!Gender(Player1,FEMALE)
!InParty(Myself)
InParty("vvvynona")~ THEN BEGIN GreetingVManB1
SAY ~Shhshhh!~ 
 ++ ~Return, Nami, I need you.~ + notparty1
 ++ ~Sit down here, I will return.~ + notparty2
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle, Nami. I will be there later.~ GOTO vampStrongholdST  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Avvvv!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!InParty(Myself)
InParty("vvvynona")~ THEN BEGIN GreetingVFemB1
SAY ~Shhshhh!~ 
 ++ ~Return, Nami, I need you, sweetheart.~ + notparty1
 ++ ~Stay here, I will return.~ + notparty2
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle, Nami. I will be there later.~ GOTO vampStrongholdST  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~!Gender(Player1,FEMALE)
!InParty(Myself)
!InParty("vvvynona")~ THEN BEGIN GreetingVManB1
SAY ~Kiissstttt!~ 
 ++ ~Return, Nami, I need you.~ + notparty1n
 ++ ~Sit down here, I will return.~ + notparty2
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle, Nami. I will be there later.~ GOTO vampStrongholdST  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~Gender(Player1,FEMALE)
!InParty(Myself)
!InParty("vvvynona")~ THEN BEGIN GreetingVFemB1
SAY ~Missssttt!~ 
 ++ ~Return, Nami, I need you, sweetheart.~ + notparty1n
 ++ ~Stay here, I will return.~ + notparty2
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle, Nami. I will be there later.~ GOTO vampStrongholdST   
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1
  SAY ~(Nami silently comes closer and stands behind you, looking from side to side in search or enemies.)~
  IF ~~ THEN DO ~
		DestroyItem("VVNAMI")
		JoinParty()~ EXIT
END


IF ~~ notparty1n
  SAY ~(Nami silently looks at you but don't move. Seems she doesn't trust you.)~
  IF ~~ THEN DO ~~ EXIT
END




IF ~~ vampStrongholdST
  SAY ~See you there.~
  IF ~~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[1682.636],W)~ EXIT
END


// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Myself,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~Aassss!~ 
 ++ ~Do you hungry? You can suck my blood, beauty.~ + suckblood
 ++ ~Want to talk?~ + talkNami
 ++ ~No, nothing right now, Nami. Sorry for disturbance.~ + byesilent
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Myself,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~Aatssss!~ 
 ++ ~Do you hungry? You can suck my blood, girl.~ + suckblood
 ++ ~Want to talk?~ +   talkNami
 ++ ~No, nothing right now, Nami. Sorry for disturbance.~ + byesilent
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Myself,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~Aassss!~ 
 ++ ~Do you hungry? You can suck my blood, beauty.~ + suckblood
 ++ ~Make me a vampire, Nami.~ + vampconvm
 ++ ~Want to talk?~ + talkNami
 ++ ~No, nothing right now, Nami. Sorry for disturbance.~ + byesilent
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Myself,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~Aatssss!~ 
 ++ ~Do you hungry? You can suck my blood, girl.~ + suckblood
 ++ ~Make me a vampire, Nami.~ + vampconvf 
 ++ ~Want to talk?~ +   talkNami
 ++ ~No, nothing right now, Nami. Sorry for disturbance.~ + byesilent
END

IF ~~ byesilent
SAY ~(Nami looks at you and whines.)~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkNami
  SAY ~(Nami makes meaningless sounds and looks you into eyes. You don't understand anything.)~
  IF ~~ THEN DO  ~~ EXIT
END


IF ~~ suckblood
  SAY ~(Nami jumps on you and you fall down. She shows think and long teeths.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~(Something in your blood stops her and she jumps back.)~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ suckblood2
  SAY ~(Nami almost ripes your artery and drinks a pretty amount of your blood.)~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,95,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Nami jumps on you and rips off your shirt. Then she violently bites you into your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconvNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconvNo
  SAY ~Aaarghhh!!~
   IF ~~ THEN DO ~~ EXIT
END

IF ~~ vampconvf
  SAY ~(Nami jumps on you. Then she silenlty bites you into your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconvNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel your blood flows into Nami at frightening speed.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~!Global("NamiVampirized","LOCALS",1)~ GOTO vampconv5
IF ~Global("NamiVampirized","LOCALS",1)~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Nami and her mad ravings. She is now the only person in the world close to you as one can be - with your blood in her veins.)~

  IF ~~ THEN DO ~
  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",1))
  
  		ChangeStat(Player1,CON,1,ADD)
		ChangeStat(Player1,STR,2,ADD)
		ChangeStat(Player1,WIS,-1,ADD)
		ChangeStat(Player1,INT,-2,ADD)
		
		DestroyItem("VVNAMI")
		SetGlobal("NamiAccepted","GLOBAL",1)
		SetGlobal("NamiVampirized","GLOBAL",1)	
        SetGlobal("NamiDialogRestored","LOCALS",0)
		SetGlobal("NamiRomance","GLOBAL",0)			
~ EXIT
END


